import { App } from "../../utils/FirebaseAdmin";
import { Settings } from "../../utils/initialization";
import { JobBackupServiceTemplate } from "../../utils/template";
import { Storage } from "@google-cloud/storage";
export declare class JobBackupStorage extends JobBackupServiceTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
    /**
     * backup one file function
     */
    private backupFile;
    /**
     * job runner
     */
    run(): Promise<void>;
}
