import { App } from "../../utils/FirebaseAdmin";
import { Settings } from "../../utils/initialization";
import { JobBackupServiceRestoreTemplate } from "../../utils/template";
import { Storage } from "@google-cloud/storage";
export declare class JobRestoreStorage extends JobBackupServiceRestoreTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
    /**
     * Array of google storage bucket name
     */
    private buckets;
    /**
     * write file to project stream
     */
    private writeStream;
    /**
     * job runner
     */
    run(): Promise<void>;
}
