"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.randomStr = void 0;
const crypto_1 = require("crypto");
/**
 * Random byte string like /0-9a-zA-Z/
 *
 * @param length - code length
 * @returns
 */
const randomStr = (length) => {
    const charset = "0123456789ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghiklmnopqrstuvwxyz";
    return new Array(length)
        .fill(null)
        .map(() => charset.charAt((0, crypto_1.randomInt)(charset.length)))
        .join("");
};
exports.randomStr = randomStr;
//# sourceMappingURL=randomStr.js.map