import { App } from "../../utils/FirebaseAdmin";
import { Settings } from "../../utils/initialization";
import { JobOneServiceTemplate } from "../../utils/template";
import { Storage } from "@google-cloud/storage";
export declare class JobCleanAuth extends JobOneServiceTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
    /**
     * firebase auth app
     */
    private auth;
    /**
     * recursive clean function
     */
    private recursiveClean;
    /**
     * job runner
     */
    run(): Promise<void>;
}
