import { App } from "../../utils/FirebaseAdmin";
import { Settings } from "../../utils/initialization";
import { JobBackupServiceRestoreTemplate } from "../../utils/template";
import { Storage } from "@google-cloud/storage";
export declare class JobRestoreAuth extends JobBackupServiceRestoreTemplate {
    /**
     * @param settings - settings object
     * @param admin - firebase app
     * @param store - google cloud storage app
     */
    constructor(settings: Settings, admin: App, store: Storage);
    /**
     * firebase auth app
     */
    private auth;
    /**
     * write user to project stream
     */
    private writeStream;
    /**
     * buffer for write to project
     */
    private writeBuffer;
    /**
     * job runner
     */
    run(): Promise<void>;
}
