import { UserRecord } from "./FirebaseAuth";
/**
 * Auth Document converter
 */
export declare class AuthConverter {
    /**
     * Copy only the allowed fields,
     * otherwise the object breaks
     * inside firebase.auth (after recovery)
     */
    private static userField;
    /**
     * Convert an object to a string
     * @param d - Object for convert
     */
    static toString(d: UserRecord): string;
    /**
     * Convert string to object
     * @param d - String to convert
     */
    static fromString(d: string, restorePassword?: boolean): {
        [key: string]: any;
        uid: string;
    };
}
