/**
 * Firestore Document converter
 */
export declare class FirestoreConverter {
    /**
     * Convert an object to a string
     * @param d - Object for convert
     */
    static toString(d: {
        [key: string]: any;
    }): string;
    /**
     * Internal deserialization
     * @param d - Object for deserialization
     */
    private static toObject;
    /**
     * Convert string to object
     * @param d - String to convert
     */
    static fromString(d: string): any;
    /**
     * Internal serialization
     * @param d - Object for serialization
     */
    private static fromObject;
}
